{{#is type 'header'}}
    {{#and color color.a}}
        <div class="header-block" style="background-color:{{color.a}};">
    {{else}}
        <div class="header-block">
    {{/and}}
        {{#if image}}
            <div class="header-background" style="background-image:url({{image.l}})"></div>
        {{/if}}
        <div class="header-content">
            <p class="header-program u-hide"></p>
            {{#and color color.b}}
                <p class="header-title" style="color:{{color.b}};">{{{text.title}}}</p>
            {{else}}
                <p class="header-title">{{{text.title}}}</p>
            {{/and}}
            <p class="header-desc">{{{text.desc}}}</p>
            {{#if button.url}}
                <a href="{{button.url}}" class="block-btn"><span>{{button.text}}</span></a>
            {{else}}{{#if button.embed}}
                <a href="#" class="block-btn button-embed"><span>{{button.text}}</span></a>
            {{/if}}{{/if}}
            {{#if buttonb}}
                {{#if buttonb.url}}
                    <a href="{{buttonb.url}}" class="block-btn block-btnb"><span>{{buttonb.text}}</span></a>
                {{else}}{{#if buttonb.embed}}
                    <a href="#" class="block-btn button-embed block-btnb"><span>{{buttonb.text}}</span></a>
                {{/if}}{{/if}}
            {{/if}}
        </div>
        {{#if story}}
            {{#or story.title story.text}}
                {{#if story.url}}
                    <a href="{{story.url}}" class="header-story" target="_blank">
                        {{#if story.title}}<p class="header-story-title">{{story.title}}</p>{{/if}}
                        {{#if story.text}}<p class="header-story-text">{{story.text}}</p>{{/if}}
                    </a>
                {{else}}
                    <div class="header-story">
                        {{#if story.title}}<p class="header-story-title">{{story.title}}</p>{{/if}}
                        {{#if story.text}}<p class="header-story-text">{{story.text}}</p>{{/if}}
                    </div>
                {{/if}}
            {{/or}}
        {{/if}}
    </div>
{{else}}{{#is type 'header_video'}}
    {{#and color color.a}}
        <div class="header-block header-video" style="background-color:{{color.a}};">
    {{else}}
        <div class="header-block header-video">
    {{/and}}
        {{#if url.embed}}
            <div class="embed-block">
                {{{url.embed}}}
            </div>
        {{/if}}
        <div class="header-content">
            <p class="header-program u-hide"></p>
            {{#and color color.b}}
                <p class="header-title" style="color:{{color.b}};">{{{text.title}}}</p>
            {{else}}
                <p class="header-title">{{{text.title}}}</p>
            {{/and}}
            <p class="header-desc">{{{text.desc}}}</p>
            {{#if button.url}}
                <a href="{{button.url}}" class="block-btn"><span>{{button.text}}</span></a>
            {{else}}{{#if button.embed}}
                <a href="#" class="block-btn button-embed"><span>{{button.text}}</span></a>
            {{/if}}{{/if}}
        </div>
    </div>
{{else}}{{#is type 'container'}}
    <div class="container-block">
        {{!- Empty container --}}
        {{#is formula 'empty'}}
            {{#each blocks}}
                {{#is type 'body_text'}}
                    {{#and color color.a}}
                        {{#if button.url}}<div class="body-text-block with-btn" style="background-color:{{color.a}};">{{else}}<div class="body-text-block" style="background-color:{{color.a}};">{{/if}}
                    {{else}}
                        {{#if button.url}}<div class="body-text-block with-btn">{{else}}<div class="body-text-block">{{/if}}
                    {{/and}}
                        {{#if image}}
                            {{#if image.icon}}
                                <img class="text-icon" src="{{image.icon}}">
                            {{else}}{{#if image.m}}
                                <div class="text-image-cover"><div class="text-image" style="background-image:url({{image.m}})"></div></div>
                            {{/if}}{{/if}}
                        {{/if}}
                        {{#and color color.b}}
                            <p class="text-title" style="color:{{color.b}};">{{{text.title}}}</p>
                        {{else}}
                            <p class="text-title">{{{text.title}}}</p>
                        {{/and}}
                        <p class="text-desc">{{{text.desc}}}</p>
                        {{#if button.url}}
                            <a href="{{button.url}}" class="block-btn"><span>{{button.text}}</span></a>
                        {{else}}{{#if button.embed}}
                            <a href="#" class="block-btn button-embed"><span>{{button.text}}</span></a>
                        {{/if}}{{/if}}
                    </div>
                {{else}}{{#is type 'body_embed'}}
                    {{#and color color.a}}
                        {{#if button.url}}<div class="body-embed-block with-btn" style="background-color:{{color.a}};">{{else}}<div class="body-embed-block" style="background-color:{{color.a}};">{{/if}}
                    {{else}}
                        {{#if button.url}}<div class="body-embed-block with-btn">{{else}}<div class="body-embed-block">{{/if}}
                    {{/and}}
                    {{#and color color.b}}
                        <p class="text-title" style="color:{{color.b}};">{{{text.title}}}</p>
                    {{else}}
                        <p class="text-title">{{{text.title}}}</p>
                    {{/and}}
                        <p class="text-desc">{{{text.desc}}}</p>
                        <div class="embed-block">
                            {{{url.embed}}}
                        </div>
                    </div>
                {{else}}{{#is type 'logos'}}
                    {{#and color color.a}}
                        <div class="logos-block" style="background-color:{{color.a}};">
                    {{else}}
                        <div class="logos-block">
                    {{/and}}
                        {{#and color color.b}}
                            <p class="text-title" style="color:{{color.b}};">{{{text.title}}}</p>
                        {{else}}
                            <p class="text-title">{{{text.title}}}</p>
                        {{/and}}
                        <div class="all-logos">
                            {{#each people}}
                                <a class="one-logo" href="{{url}}" target="_blank" title="{{name}}" style="background-image:url({{image.l}})"></a>
                            {{/each}}
                        </div>
                    </div>
                {{else}}{{#is type 'feed'}}
                    {{#and color color.a}}
                        <div class="feed-block" style="background-color:{{color.a}};">
                    {{else}}
                        <div class="feed-block">
                    {{/and}}
                        {{#and color color.b}}
                            <p class="text-title" style="color:{{color.b}};">{{{text.title}}}</p>
                        {{else}}
                            <p class="text-title">{{{text.title}}}</p>
                        {{/and}}
                        <div class="embed-block">
                            {{{url.embed}}}
                        </div>
                    </div>
                {{else}}{{#is type 'calendar'}}
                    {{#and color color.a}}
                        <div class="calendar-block" style="background-color:{{color.a}};">
                    {{else}}
                        <div class="calendar-block">
                    {{/and}}
                        {{#and color color.b}}
                            <p class="text-title" style="color:{{color.b}};">{{{text.title}}}</p>
                        {{else}}
                            <p class="text-title">{{{text.title}}}</p>
                        {{/and}}
                        <div class="all-events">
                            {{#each events}}
                                {{#if url}}
                                    <a href="{{url}}" target="_blank" class="one-event">
                                        <div class="event-image" style="background-image:url({{image.m}})"></div>
                                        <div class="event-content">
                                            <p class="event-date">{{fullDate date.start date.end}}</p>
                                            <p class="event-title">{{title}}</p>
                                        </div>
                                    </a>
                                {{else}}
                                    <div class="one-event">
                                        <div class="event-image" style="background-image:url({{image.m}})"></div>
                                        <div class="event-content">
                                            <p class="event-date">{{fullDate date.start date.end}}</p>
                                            <p class="event-title">{{title}}</p>
                                        </div>
                                    </div>
                                {{/if}}
                            {{/each}}
                        </div>
                    </div>
                {{/is}}{{/is}}{{/is}}{{/is}}{{/is}}
            {{/each}}
        {{!- Projects container --}}
        {{else}}{{#is formula 'projects'}}
            {{#getRowsOfBlocks pages}}
                {{#each this}}
                    <div class="container-row">
                        {{#each this}}
                            {{#and color color.a}}
                                <a class="body-text-block card-block" href="/{{url}}" style="background-color:{{color.a}};">
                            {{else}}
                                <a class="body-text-block card-block" href="/{{url}}">
                            {{/and}}
                                {{#and this.image this.image.l}}
                                    <div class="text-image-cover"><div class="text-image" style="background-image:url({{this.image.l}})"></div></div>
                                {{/and}}
                                {{#and color color.b}}
                                    <p class="text-title" style="color:{{color.b}};">{{{this.title}}}</p>
                                {{else}}
                                    <p class="text-title">{{{this.title}}}</p>
                                {{/and}}
                                <p class="text-desc">{{{this.desc}}}</p>
                            </a>
                        {{/each}}
                    </div>
                {{/each}}
            {{/getRowsOfBlocks}}
        {{!- Events container --}}
        {{else}}{{#is formula 'events'}}
            {{#getRowsOfBlocks pages}}
                {{#each this}}
                    <div class="container-row">
                        {{#each this}}
                            {{#and color color.a}}
                                <a class="body-text-block card-block" href="/{{url}}" style="background-color:{{color.a}};">
                            {{else}}
                                <a class="body-text-block card-block" href="/{{url}}">
                            {{/and}}
                                {{#and this.image this.image.l}}
                                    <div class="text-image-cover"><div class="text-image" style="background-image:url({{this.image.l}})"></div></div>
                                {{/and}}
                                {{#and color color.b}}
                                    <p class="text-title" style="color:{{color.b}};">{{{this.title}}}</p>
                                {{else}}
                                    <p class="text-title">{{{this.title}}}</p>
                                {{/and}}
                                <p class="text-desc">{{{this.desc}}}</p>
                            </a>
                        {{/each}}
                    </div>
                {{/each}}
            {{/getRowsOfBlocks}}
        {{!- News, Blog, Directors, Resources --}}
        {{else}}
            {{#getRowsOfBlocks blocks}}
                {{#each this}}
                    <div class="container-row">
                        {{#each this}}
                            {{#and color color.a}}
                                <a class="body-text-block card-block" href="/article/{{slug}}" style="background-color:{{color.a}};">
                            {{else}}
                                <a class="body-text-block card-block" href="/article/{{slug}}">
                            {{/and}}
                                {{#and this.url this.url.embed}}
                                    <div class="embed-block">{{{this.url.embed}}}</div>
                                {{else}}
                                    {{#and this.image this.image.m}}
                                        <div class="text-image-cover"><div class="text-image" style="background-image:url({{this.image.m}})"></div></div>
                                    {{/and}}
                                {{/and}}
                                {{#and color color.b}}
                                    <p class="text-title" style="color:{{color.b}};">{{{this.text.title}}}</p>
                                {{else}}
                                    <p class="text-title">{{{this.text.title}}}</p>
                                {{/and}}
                                <p class="text-desc">{{{this.text.desc}}}</p>
                            </a>
                        {{/each}}
                    </div>
                {{/each}}
            {{/getRowsOfBlocks}}
        {{/is}}{{/is}}{{/is}}
    </div>
{{else}}{{#is type 'section'}}
    {{#and color color.a}}
        <div class="section-block" style="background-color:{{color.a}};">
    {{else}}
        <div class="section-block">
    {{/and}}
        {{#and color color.b}}
            <div class="section-header" style="background-color:{{color.b}}; background:{{color.b}};">{{text.title}}</div>
        {{else}}
            <div class="section-header">{{text.title}}</div>
        {{/and}}
        <div class="section-content">
            <p class="section-desc">{{{text.desc}}}</p>
            {{#if button.url}}
                <a href="{{button.url}}" class="block-btn"><span>{{button.text}}</span></a>
            {{else}}{{#if button.embed}}
                <a href="#" class="block-btn button-embed"><span>{{button.text}}</span></a>
            {{/if}}{{/if}}
        </div>
    </div>
{{else}}{{#is type 'body_embed'}}
    {{#and color color.a}}
        <div class="embed-block" style="background-color:{{color.a}};">
    {{else}}
        <div class="embed-block">
    {{/and}}
        {{{url.embed}}}
    </div>
{{else}}{{#is type 'people'}}
    <div class="people-block">
        {{#if text.title}}
            {{#and color color.b}}
                <p class="text-title" style="color:{{color.b}};">{{{text.title}}}</p>
            {{else}}
                <p class="text-title">{{{text.title}}}</p>
            {{/and}}
        {{/if}}
        <div class="all-people container-block">
            {{#getRowsOfBlocks people}}
                {{#each this}}
                    <div class="container-row">
                        {{#each this}}
                            {{#if this.url}}<div class="body-text-block card-block with-btn">{{else}}<div class="body-text-block card-block">{{/if}}
                                {{#and this.image this.image.l}}
                                    <div class="text-image-cover"><div class="text-image" style="background-image:url({{this.image.l}})"></div></div>
                                {{/and}}
                                <p class="text-title">{{{this.name}}}</p>
                                <p class="text-about">{{{this.about}}}</p>
                                <p class="text-desc">{{{this.desc}}}</p>
                                {{#if this.url}}
                                    {{#is this.type 'team'}}
                                        <a class="block-btn social-btn" target="_blank" href="{{this.url}}">
                                            <span class="icon">💬</span><span>Talk to {{getFirstName this.name}} at Social</span>
                                        </a>
                                    {{else}}
                                    <a class="block-btn" target="_blank" href="{{this.url}}">
                                        <span>Find more about {{getFirstName this.name}}</span>
                                    </a>
                                    {{/is}}
                                {{/if}}
                            </div>
                        {{/each}}
                    </div>
                {{/each}}
            {{/getRowsOfBlocks}}
        </div>
    </div>
{{else}}{{#is type 'calendar'}}
    {{#and color color.a}}
        <div class="calendar-block" style="background-color:{{color.a}};">
    {{else}}
        <div class="calendar-block">
    {{/and}}
        {{#and color color.b}}
            <p class="text-title" style="color:{{color.b}};">{{{text.title}}}</p>
        {{else}}
            <p class="text-title">{{{text.title}}}</p>
        {{/and}}
        <div class="all-events">
            {{#each events}}
                {{#if url}}
                    <a href="{{url}}" target="_blank" class="one-event">
                        <div class="event-image" style="background-image:url({{image.m}})"></div>
                        <div class="event-content">
                            <p class="event-date">{{fullDate date.start date.end}}</p>
                            <p class="event-title">{{title}}</p>
                        </div>
                    </a>
                {{else}}
                    <div class="one-event">
                        <div class="event-image" style="background-image:url({{image.m}})"></div>
                        <div class="event-content">
                            <p class="event-date">{{fullDate date.start date.end}}</p>
                            <p class="event-title">{{title}}</p>
                        </div>
                    </div>
                {{/if}}
            {{/each}}
        </div>
    </div>
{{else}}{{#is type 'body_html'}}
    <div class="container-block">
        <div class="html-block">{{{text.html}}}</div>
    </div>
{{else}}{{#is type 'body_carousel'}}
    <div class="carousel-block">
        {{#each gallery}}
            <div class="gallery-image" style="background-image:url({{file.l}}); width: {{bound}}px;">
                {{#if title}}
                    <p class="gallery-title">{{title}}</p>
                {{/if}}
            </div>
        {{/each}}
    </div>
{{/is}}{{/is}}{{/is}}{{/is}}{{/is}}{{/is}}{{/is}}{{/is}}{{/is}}